"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomString = exports.timestamp = exports.percentEncode = void 0;
const tslib_1 = require("tslib");
const crypto_1 = tslib_1.__importDefault(require("crypto"));
function percentEncode(str) {
    return encodeURIComponent(str)
        .replace(/[!'()]/g, escape)
        .replace(/\*/g, "%2A");
}
exports.percentEncode = percentEncode;
function timestamp() {
    return Math.round(Date.now() / 1000);
}
exports.timestamp = timestamp;
function randomString(length) {
    if (length <= 0) {
        return "";
    }
    return crypto_1.default
        .randomBytes(Math.ceil(length / 2))
        .toString("hex")
        .substring(0, length);
}
exports.randomString = randomString;
