"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const helpers_1 = require("../helpers");
function buildOutputString(params) {
    return Object.entries(params)
        .sort(([a], [b]) => a.localeCompare(b))
        .map(([key, value]) => `${key}=${(0, helpers_1.percentEncode)(String(value))}`)
        .join("&");
}
function parameterString(signatureOptions, queryParams, bodyParams) {
    const params = {
        ...queryParams,
        ...bodyParams,
        oauth_consumer_key: signatureOptions.api_key,
        oauth_nonce: signatureOptions.oauth_nonce,
        oauth_signature_method: "HMAC-SHA1",
        oauth_timestamp: signatureOptions.oauth_timestamp,
        oauth_token: signatureOptions.access_token,
        oauth_version: "1.0",
    };
    return buildOutputString(params);
}
exports.default = parameterString;
