"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const crypto_1 = tslib_1.__importDefault(require("crypto"));
const helpers_1 = require("../helpers");
const signatureBaseString_1 = tslib_1.__importDefault(require("./signatureBaseString"));
function signature(options) {
    const baseString = (0, signatureBaseString_1.default)(options);
    const consumerSecret = (0, helpers_1.percentEncode)(options.oAuthOptions.api_secret_key);
    const tokenSecret = (0, helpers_1.percentEncode)(options.oAuthOptions.access_token_secret);
    const signingKey = `${consumerSecret}&${tokenSecret}`;
    const outputString = crypto_1.default
        .createHmac("sha1", signingKey)
        .update(baseString)
        .digest("base64");
    return outputString;
}
exports.default = signature;
