export declare type Method = "GET" | "POST" | "PUT" | "DELETE";
export declare type OAuthOptions = {
    api_key: string;
    api_secret_key: string;
    access_token: string;
    access_token_secret: string;
};
export declare type ExtendedOAuthOptions = {
    oauth_nonce: string;
    oauth_timestamp: number;
};
export declare type SignatureOAuthOptions = Pick<OAuthOptions, "access_token" | "api_key"> & ExtendedOAuthOptions;
export declare type RequestOptions = {
    url: string;
    method: Method;
    params?: Record<string, string | number | boolean>;
    data?: Record<string, string | number | boolean>;
};
